## ros-melodic-dynamixel-workbench-single-manager 2.0.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(dynamixel_workbench_single_manager)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  dynamixel_workbench_msgs
  dynamixel_workbench_toolbox
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp dynamixel_workbench_msgs dynamixel_workbench_toolbox
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(single_dynamixel_controller src/single_dynamixel_controller.cpp)
add_dependencies(single_dynamixel_controller ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(single_dynamixel_controller ${catkin_LIBRARIES})

add_executable(single_dynamixel_monitor src/single_dynamixel_monitor.cpp)
add_dependencies(single_dynamixel_monitor ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(single_dynamixel_monitor ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS single_dynamixel_controller single_dynamixel_monitor
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-melodic-dynamixel-workbench-single-manager (2.0.0-0bionic) bionic; urgency=high

  * added YAML configuration for Dynamixel
  * supported position control mode, current based position control mode through Joint Trajectory Message
  * supported velocity control mode through Twist Message
  * reduced memory usage(Contribute by @KurtE)
  * updated API for sync, bulk instruction
  * updated control period (default is 10ms)
  * supported Linux, macos
  * supported Pro+
  * supported DynamixelSDK(after v.3.6.2)
  * supported OpenManipulator
  * Contributors: Darby Lim, KurtE, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 03 Jan 2019 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (1.0.0-0bionic) bionic; urgency=high

  * upgraded read time #162
  * added Dynamixel PRO information #162
  * added proext function and amended readRegister
  * added PROext header
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.3.1-0bionic) bionic; urgency=high

  * None

 -- Pyo <pyo@robotis.com>  Sun, 03 Jun 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.3.0-0bionic) bionic; urgency=high

  * merged pull request #152 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/152> #151 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/151> #149 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/149> #132 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/132>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.2.4-0bionic) bionic; urgency=high

  * changed package.xml to format v2
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.2.3-0bionic) bionic; urgency=high

  * added dynamixel_sdk lib
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 08 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.2.2-0bionic) bionic; urgency=high

  * modified the CI configurations (#117 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/117>)
  * modified the CMakeLists.txt to fix wrong path (ros/rosdistro#17019 <https://github.com/ros/rosdistro/pull/17019>)
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 27 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.2.1-0bionic) bionic; urgency=high

  * None

 -- Pyo <pyo@robotis.com>  Wed, 21 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.2.0-0bionic) bionic; urgency=high

  * added debug code
  * added scan range param
  * added baudrate sorting
  * added all dynamixel series
  * added publisher
  * added new msg header
  * added AX Message
  * added protocol version function
  * added linux build and example
  * modified merge conflict
  * modified make file
  * modified function name and return variable name
  * modified factory rest and added baud rate function
  * modified function for ROS depend
  * modified linux version
  * deleted warning
  * Contributors: Darby Lim, Yoonseok Pyo

 -- Pyo <pyo@robotis.com>  Sun, 18 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.9-0bionic) bionic; urgency=high

  * modified dependency
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 02 Nov 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.8-0bionic) bionic; urgency=high

  * None

 -- Pyo <pyo@robotis.com>  Tue, 31 Oct 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.7-0bionic) bionic; urgency=high

  * added rospy for the issue https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/77
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 29 Oct 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.6-0bionic) bionic; urgency=high

  * bug fixed
  * updated error msg
  * updated get model path
  * updated Dynamixel PRO
  * updated Dynamixel XL, XM and XH
  * updated annotation
  * updated multi driver
  * updated address name
  * updated msg name
  * modified launch files
  * modified variable
  * modified file location
  * added sync read
  * added multi read function
  * added multi_driver
  * changed BSD license to Apache 2.0 license
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.5-0bionic) bionic; urgency=high

  * modified the cmake of toolbox
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.4-0bionic) bionic; urgency=high

  * added dynamixel new model: XL430_W250
  * added dynamixel new model: XH
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.3-0bionic) bionic; urgency=high

  * add drive_mode in XM series
  * update single manager and GUI
  * modified msgs files
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 28 Nov 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.2-0bionic) bionic; urgency=high

  * add comment in msgs file
  * add stop sign in velocity controller
  * modify beta test feedback
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 30 Oct 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-single-manager (0.1.1-0bionic) bionic; urgency=high

  * modified single manager and gui
  * modified factory reset
  * modified baudrate, factory reset, reboot and velocity controller
  * Revert "add baudrate combobox and modify velocity controller"
    This reverts commit f4f83761d687c40660a2c864aa4fcbebe1df4ea4.
  * add baudrate combobox and modify velocity controller
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 20 Oct 2016 15:00:00 -0000



=== debian/control ===
Source: ros-melodic-dynamixel-workbench-single-manager
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamixel-workbench-msgs, ros-melodic-dynamixel-workbench-toolbox, ros-melodic-roscpp
Homepage: http://wiki.ros.org/dynamixel_workbench_single_manager
Standards-Version: 3.9.2

Package: ros-melodic-dynamixel-workbench-single-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamixel-workbench-msgs, ros-melodic-dynamixel-workbench-toolbox, ros-melodic-roscpp
Description: This package is single manager for a Dynamixel.
 It provides a terminal environment to check the status of Dynamixel and control it before using Dynamixel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dynamixel-workbench-single-manager//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
